Skip to content
Skip to main content
DELETE
/v3/grants/{grant_id}/threads/{thread_id}

Delete a thread

Moves the specified thread to the Trash, including all messages in the thread.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

thread_id*string

ID of the thread to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

shared_folder_idstring

(Microsoft only) When provided, Nylas returns items from the specified shared folder ID. Required when using shared_from. This parameter only accepts a single folder ID. Check out the Shared folders guide for more information.

shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Responses

request_id*string

ID of the request.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
DELETEhttps://api.us.nylas.com/v3/grants/{grant_id}/threads/{thread_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

thread_idrequiredstring

ID of the thread to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

shared_folder_idstring

(Microsoft only) When provided, Nylas returns items from the specified shared folder ID. Required when using shared_from. This parameter only accepts a single folder ID. Check out the Shared folders guide for more information.

shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.